GET /v1/organizations/{orgId}/sessions
List active wallet sessions with pagination

Path Parameters

orgId string required path
Organization ID

Query Parameters

limit integer optional query
Limit (default 20, max 100)
offset integer optional query
Offset (default 0)

Responses

200 OK
application/json
hasMore boolean
items object[]
Array of:
createdAt string
expiresAt string
id string
policies object
sessionAddress string
walletId string
workflowId string
limit integer
offset integer
400 Bad Request
401 Unauthorized
500 Internal Server Error
curl -X GET 'https://api.example.com/v1/organizations/string/sessions' \  -H 'Authorization: Bearer YOUR_API_TOKEN'
const response = await fetch('https://api.example.com/v1/organizations/string/sessions', {  method: 'GET',  headers: {      "Authorization": "Bearer YOUR_API_TOKEN"  }});const data = await response.json();console.log(data);
import requestsheaders = {    'Authorization': 'Bearer YOUR_API_TOKEN'}response = requests.get('https://api.example.com/v1/organizations/string/sessions', headers=headers)print(response.json())
package mainimport (	"fmt"	"io"	"net/http")func main() {	req, _ := http.NewRequest("GET", "https://api.example.com/v1/organizations/string/sessions", nil)	req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN")	resp, _ := http.DefaultClient.Do(req)	defer resp.Body.Close()	result, _ := io.ReadAll(resp.Body)	fmt.Println(string(result))}
200 Response
{  "hasMore": true,  "items": [    {      "createdAt": "<string>",      "expiresAt": "<string>",      "id": "<string>",      "policies": "<object>",      "sessionAddress": "<string>",      "walletId": "<string>",      "workflowId": "<string>"    }  ],  "limit": 123,  "offset": 123}
Ask a question... ⌘I